/*    $Id: roundFunc.java,v 1.2 1996/01/25 20:36:59 davidliu Exp $
**
**
**************************************************************************
**    Copyright (C) 1996 David Wanqian Liu
**                       davidliu@mti.sgi.com
**                       http://reality.sgi.com/exmployees/davidliu_mti
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**************************************************************************
*/


package expression;



/**
  Round function
  */
public class roundFunc extends oneArgFunction {
  /**
    Rounds off a double value by first adding 0.5 to it and then returning
    the largest integer that is less than or equal to this new value. 
    */
  public double apply(double a) {
    return Math.round(a);
  }


  /**
    Return string "ROUND"
    */
  public String toString() {
    return "ROUND";
  }
}
