import java.awt.*;
import java.awt.event.*;
import java.applet.*;
                     
                    
/**
 * Simple dialog-window to display the applet information provided by
 * getAppletInfo().
 */
class InfoDialog extends Frame
implements WindowListener
{
   /**
    * Handles the pressing of the OK-Button
    */
	public boolean action( Event evt, Object what )
	{
        if( evt.target instanceof Button )
		{
			hide();
			dispose();
			return true;
		}
		return false;
	}

   /**
    * Shows the Frame and fills the applet-information into a
    * textarea.
    */
	public InfoDialog( Applet a )
	{
		super( "Info" );

		resize( 350, 200 );
		// setResizable( false );
		setLayout( new BorderLayout() );
		// setBackground( Color.lightGray );

		TextArea t = new TextArea( a.getAppletInfo(), 5, 30 );
		t.setEditable(false);

		add( "Center", t );
		add( "South", new Button( "Close" ) );

		addWindowListener(this);
	}

    public void windowActivated(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
    public void windowClosing(WindowEvent e)
	{
      hide();
	  dispose();
	}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}

}

